/*******************************************************************************
*	TRACEMEM.H	Definitions for using the memory trace routines	       *
*									       *
* The TRACEMEM module provides replacment routines for malloc() and free() to  *
* make it possible to track down the source of memory leaks in a program.      *
*									       *
* This file provides some compile-time macros which cause the tracing routines *
* to be used in place of the standard malloc() and free() routines.	       *
*									       *
*	Created 17-Jan-2011 by Jeremy Begg, VSM Software Services Pty Ltd.     *
*	Copyright (c) 2011 VSM Software Development.  All Rights Reserved.     *
*									       *
*******************************************************************************/

#include <stdlib.h>

void *trace_malloc (__size_t __size, char *source_file, int linenum);
void trace_free (void *__ptr);

#define malloc(s) trace_malloc(s, __FILE__, __LINE__)
#define free(p) trace_free(p)
